ข้ามไปยังเนื้อหา

Hunyuan Image 3.0 Instruct

ผสานการทำงาน

ID โมเดล hunyuan-image/v3/instruct/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-image/v3/instruct/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.36 360 เครดิต API · ≈ ₽38.73 เรียกใช้ในหน้านี้

รับคีย์ API
Tencent ข้อความเป็นภาพ #hunyuan-image#v3#instruct

Hunyuan Image 3.0 รุ่น Instruct สำหรับแปลงข้อความเป็นภาพ โดยเปิดใช้การขยายพรอมต์ภายในเป็นค่าเริ่มต้น

Tencent · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

คำสั่งข้อความที่ใช้สร้างรูปภาพ

image_size ค่าเริ่มต้น auto

ขนาดรูปภาพเอาต์พุต ซึ่งระบุโดยตรงหรือเลือกโดยโมเดลเมื่อกำหนดเป็น auto

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพที่ขอให้สร้าง

ขั้นสูง output_format · guidance_scale · seed · enable_prompt_expansion · enable_safety_checker
output_format ค่าเริ่มต้น png

รูปแบบไฟล์ของรูปภาพผลลัพธ์

ค่าเริ่มต้น 3.5

ระดับการทำตามพรอมต์: เพิ่มค่านี้เพื่อให้โมเดลทำตามพรอมต์อย่างเคร่งครัดยิ่งขึ้น

ซีดสำหรับการสร้างซ้ำได้; None ให้ระบบเลือกแบบสุ่มแทนการใช้ค่าที่ผู้เรียกระบุ

POST /run/hunyuan-image/v3/instruct/text-to-image?wait=20 ใบเสนอราคา → $0.36
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-image/v3/instruct/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Hunyuan Image 3.0 Instruct

สร้างภาพจาก `prompt` โดยเปิดใช้ขั้นตอนการเขียนคำบรรยายใหม่ภายในเป็นค่าเริ่มต้นผ่าน `enable_prompt_expansion` `image_size` มีค่าเริ่มต้นเป็น auto หรือกำหนดเป็นค่าที่ตั้งไว้ล่วงหน้า เช่น square_hd หรือ landscape_16_9 ได้ ส่งคืนภาพ 1 ถึง 4 ภาพในรูปแบบ png หรือ jpeg โดย `guidance_scale` อยู่ระหว่าง 1 ถึง 20

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
คำสั่งข้อความที่ใช้สร้างรูปภาพ
image_sizeไม่บังคับ
ประเภทobject
ค่าเริ่มต้นauto
autosquare_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ขนาดรูปภาพเอาต์พุต ซึ่งระบุโดยตรงหรือเลือกโดยโมเดลเมื่อกำหนดเป็น auto
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 4
จำนวนรูปภาพที่ขอให้สร้าง
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น3.5
≤ 20> 1
ระดับการทำตามพรอมต์: เพิ่มค่านี้เพื่อให้โมเดลทำตามพรอมต์อย่างเคร่งครัดยิ่งขึ้น
enable_prompt_expansionไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
การขยายพรอมต์ผ่านการบรรยายรูปภาพใหม่ด้วยโมเดลภายใน โดยเปิดใช้เมื่อกำหนดเป็น true
seedไม่บังคับ
ประเภทinteger | null
ซีดสำหรับการสร้างซ้ำได้; None ให้ระบบเลือกแบบสุ่มแทนการใช้ค่าที่ผู้เรียกระบุ
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
การเปิดใช้ตัวตรวจสอบความปลอดภัย; true จะเปิดใช้การตรวจสอบ
output_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นpng
jpegpng
รูปแบบไฟล์ของรูปภาพผลลัพธ์
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan-image/v3/instruct/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 360,
    "usd": "0.36",
    "charged": 360,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รายการที่มีรูปภาพที่สร้างขึ้น
seed
integerซีดพื้นฐานที่ใช้ระหว่างการสร้าง

โมเดลเพิ่มเติม: ข้อความเป็นภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/hunyuan-image/v3/instruct/text-to-image.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt